package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.system.SceneEvaluationStatusPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SceneEvaluationStatusMapper {

    @Update("UPDATE scene_evaluation_status SET evaluation_status = #{evaluationStatus} AND evaluation_error_msg = #{evaluationErrorMsg} " +
            " AND start_evaluation_time = #{startEvaluationTime} AND end_evaluation_time = #{endEvaluationTime} WHERE id = #{id}")
    void updateImportEvaluationStatus(SceneEvaluationStatusPO po);

    @Update("UPDATE simulation_manual_project SET evaluation_json_msg = #{json} WHERE id = #{id}")
    void updateManualProjectEvaluationStatus(String id, String json);
}
